/*

    	     Dump results from ssystem
	
	         by John Walker
	    http://www.fourmilab.ch/
    
    For details, please see: http://www.fourmilab.ch/documents/canon_transits/
	
*/

#include <stdio.h>
#include <math.h>

#include "readout.h"
#include "linalg.h"

int main(int argc, char *argv[0])
{
    FILE *fi;
    int i, j;
    ss_step st;

#define efmt "%17.10e"
#define ffmt "%.5f"
        
    if (argc != 2) {
    	printf("usage: dumpres output_file\n");
	return 2;
    }
    
    if ((fi = fopen(argv[1], "rb")) == NULL) {
    	printf("Cannot open input file %s\n", argv[1]);
	return 1;
    }
    
    while (readout(fi, &st) == 0) {
    	printf("JD " ffmt "\n", st.jd);
 	for (i = 0; i < (Sun + 1); i++) {
	    printf("  %-10s  ", ss_objname[i]);
    	    for (j = X; j <= Z; j++) {
		printf("   " efmt, st.obj[i].pos[j]);
		printf(" " efmt, st.obj[i].vel[j]);
	    }
	    printf("\n");
	}
    }

    fclose(fi);
    
    return 0;
}
